package be.iminds.ilabt.jfed.restapi.json;

import be.iminds.ilabt.jfed.util.RFC3339Util;
import com.fasterxml.jackson.core.JsonGenerator;
import com.fasterxml.jackson.databind.JsonSerializer;
import com.fasterxml.jackson.databind.SerializerProvider;

import java.io.IOException;
import java.sql.Timestamp;

/**
 * JsonDateSerializer
 */
public class JsonTimeStampRFC3339Serializer extends JsonSerializer<Timestamp> {
    @Override
    public void serialize(Timestamp date, JsonGenerator jsonGenerator, SerializerProvider provider) throws IOException {
        String dateString = RFC3339Util.dateToRFC3339String(date, true/*forceZulu*/);
        jsonGenerator.writeString(dateString);
    }
}
